Rock Band Instruments with 4.3.

Discussion in 'Wii - Hacking' started by coxxy8, Nov 23, 2010.

  1. coxxy8
    OP

    coxxy8 Member

    Newcomer
    23
    0
    Sep 17, 2009
    United States
    I use the newest wiiflow with the hack for 4.3 using Smash Bros Brawl. I also was able to figure out loading the new ios to get Black Ops working. The one thing I cant seem to ever get right is being able to use my instruments with Rock Band and/or Guitar Hero games. Any advice would be great. I have searched on this and dont seem to come to a definitive answer. Someone told me I needed to get a specific ios to enable usb 2.0 but not sure what or where to find what I need. Any advice would be great. Thank you.
     
  2. vegemikee

    vegemikee GBAtemp Fan

    Member
    356
    6
    Aug 17, 2008
    You need to use a cIOS using IOS57 as the base. Waninkoko's cIOSX with base 57 appears to have a few lag issues. You should try using Hermes' cIOS, installing IOS224 with base 57.
     
  3. Taleweaver

    Taleweaver Storywriter

    Member
    5,398
    1,462
    Dec 23, 2009
    Belgium
    Belgium
    There are more than one cIOS out there that have support for USB instruments. Just make sure that you have the correct one installed and have the game configured to use that cIOS. [​IMG]

    It used to be that a cIOS with a base of 37 was needed for proper play (either Hermes's 222/223/224 cIOS or Waninkoko's later versions). However, I think I read that rev20 with a base IOS of 56 works as well (EDIT: could've been 57 as well)*. However, I can only speak from experience that Waninkoko's cIOS rev19, base IOS 37 works.


    Final note: it may be true that if you're using uneek, all the power is redirected to the port containing the drive, which causes other USB instruments not to work*.




    *in both cases: don't quote me on that, as I don't have first hand knowledge
     
  4. propered

    propered GBAtemp Regular

    Member
    122
    0
    Dec 16, 2008
    I believe that however SDHC cards 4gb and above are not read well or at all, at least in my experience with cios which is 37 based i could have got my maths messed but I am sure this to be true last time i tried
     
  5. Taleweaver

    Taleweaver Storywriter

    Member
    5,398
    1,462
    Dec 23, 2009
    Belgium
    Belgium
    I can't say. I don't try to load my games from SDHD card but from USB.

    I know RawkSD (2.0) doesn't support SDHD, but to my knowledge, that has nothing to do with the IOS or cIOS being used.
     
  6. jeklnoo

    jeklnoo GBAtemp Fan

    Member
    335
    0
    Oct 20, 2006
    United States
    RawkSD doesn't support succinate dehydrogenase complex subunit D cards?
     
  7. diddy81

    diddy81 Wii Theme Team

    Member
    772
    171
    Mar 14, 2009
    kk so usb loading needs acIOS using IOS57 as the base

    what about disk loading would darkcorp work by its self ?
     
  8. Taleweaver

    Taleweaver Storywriter

    Member
    5,398
    1,462
    Dec 23, 2009
    Belgium
    Belgium
    Erm....

    INDEED! RawkSD does NOT support any transmembrane subunits, electron transfer unites or - for that matter - any other enzymes of the inner mitochondrial membrane. If you manage to get it working on your wii nonetheless...then...erm...yeah, then I guess you're lucky, because I don't think it has very high priority to the developers. [​IMG]


    But on a more serious note...I was of course mixing up the name of SDHC (as in the high capacity SD cards). [​IMG]
     
  9. propered

    propered GBAtemp Regular

    Member
    122
    0
    Dec 16, 2008
    I was talking about loading DLC from SDHC (not games)
     
  10. terminal_illness

    terminal_illness Dark Hadou Master

    Member
    746
    18
    Aug 29, 2008
    Canada
    Canada! Mah Fukas!
    use 223 v5 base 37 for rb2 and 250 20b base 57. for rb3
     
  11. coxxy8
    OP

    coxxy8 Member

    Newcomer
    23
    0
    Sep 17, 2009
    United States
    Thanks everyone for helping out. I am away from home today but when I return I am first going to try and play from 224 as I already installed hermes 224 base 57 so that my black ops would work!! Ill let you know how it comes out!!